- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
GNet::MultiServerImp Class Reference

A private implementation class used by GNet::MultiServer. More...

`#include <gmultiserver.h>`

Inheritance diagram for GNet::MultiServerImp:

## Public Member Functions
| MultiServerImp (MultiServer &ms, const Address &, ConnectionLookup *)
| Constructor. More...
void | cleanup ()
| Does cleanup. More...
Public Member Functions inherited from GNet::Server
| Server (unsigned int listening_port, ConnectionLookup *=NULL)
| Constructor taking a port number. More...
| Server (const Address &listening_address, ConnectionLookup *=NULL)
| Constructor. More...
| Server ()
| Default constructor. Initialise with init(). More...
void | init (unsigned int listening_port)
| Initilisation after default construction. More...
void | init (const Address &listening_address)
| Initilisation after default construction. More...
virtual | ~Server ()
| Destructor. More...
std::pair< bool, Address > | address () const
| Returns the listening address. More...
virtual void | readEvent ()
| Final override from GNet::EventHandler. More...
virtual void | writeEvent ()
| Final override from GNet::EventHandler. More...
virtual void | onException (std::exception &e)
| Final override from GNet::EventHandler. More...
Public Member Functions inherited from GNet::EventHandler
virtual | ~EventHandler ()
| Destructor. More...
virtual void | exceptionEvent ()
| Called for an exception event. More...

## Protected Member Functions
virtual ServerPeer * | newPeer (PeerInfo)
| Server peer factory method. More...
Protected Member Functions inherited from GNet::Server
void | serverCleanup ()
| May be called from the derived class destructor in order to trigger early deletion of peer objects, before the derived part of the server disappears. More...

## Additional Inherited Members
Static Public Member Functions inherited from GNet::Server
static bool | canBind (const Address &listening_address, bool do_throw)
| Checks that the specified address can be bound. More...

## Detailed Description

A private implementation class used by GNet::MultiServer.

Definition at line 43 of file gmultiserver.h.

## Constructor & Destructor Documentation

GNet::MultiServerImp::MultiServerImp | ( | MultiServer & | ms,
|  | const Address & | address,
|  | ConnectionLookup * | connection_lookup
| ) |  |

Constructor.

Definition at line 161 of file gmultiserver.cpp.

## Member Function Documentation

void GNet::MultiServerImp::cleanup | ( |  | ) |

Does cleanup.

Definition at line 173 of file gmultiserver.cpp.

GNet::ServerPeer * GNet::MultiServerImp::newPeer | ( | PeerInfo | peer_info | ) |
| protected virtual

Server peer factory method.

Final override from GNet::Server.

Implements GNet::Server.

Definition at line 168 of file gmultiserver.cpp.

The documentation for this class was generated from the following files:

- gmultiserver.h
- gmultiserver.cpp